Public Cloud
All operations require authentication.
4 operationsv1/vrack/{serviceName}
List attached Public Cloud projectsProduction
GET
/v1/ vrack/ {serviceName}/ cloudProject
Path parameters
service Name
required
string
The internal name of your vrack
Response
200string []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ cloudProject \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an attached Public Cloud projectProduction
GET
/v1/ vrack/ {serviceName}/ cloudProject/ {project}
Path parameters
project
required
string
publicCloud project
service Name
required
string
The internal name of your vrack
Response
200cloud Projectsuccessful operation
project
read-only
string
publicCloud project
vrack
read-only
string
vrack name
Example uses project = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ cloudProject/ {project} \
-H "authorization: Bearer $OVH_TOKEN"{ "project": "string", "vrack": "string"}
Attach a Public Cloud projectProduction
POST
/v1/ vrack/ {serviceName}/ cloudProject
Path parameters
service Name
required
string
The internal name of your vrack
Request body (required)
project
required
string
publicCloud project to add
Response
200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
last Update
read-only
stringdate-time
—
order Id
read-only
integer
—
service Name
read-only
string
—
status
read-only
Task Status Enum
Task status
Values
cancelleddoingdoneinittodotarget Domain
read-only
string